// paddings --------->

// margins ---------->
.mt-32 {
  margin-top: 32px;
}
.mb-32 {
  margin-bottom: 32px;
}
.mb-48 {
  margin-bottom: 48px;
}
.mt-48 {
  margin-top: 48px;
}
.mt-120 {
  margin: 120px 0 0 0;
}
.mt-140 {
  margin: 140px 0 0 0;
}
.mt-80 {
  margin: 80px 0 0 0;
}
.mt-60 {
  margin: 60px 0 0 0;
}

//colors ------------>
$main-color: #473f7a;
$h2-color: #414046;
$h3-color: #8373e2;

.main-color {
  color: $main-color;
}

.ltr-me {
  direction: ltr !important;
}

a {
  text-decoration: none;
}
.relative {
  position: relative;
}
// global list component
.global-list {
  .v-list-item__subtitle {
    -moz-line-clamp: none !important;
    line-height: 1.6em !important;
    -webkit-line-clamp: none !important;
    white-space: unset !important;
  }
  .v-list-item__title,
  .v-list-item__subtitle {
    white-space: unset !important;
  }
}

// global-tech-icon
.global-tech-icon {
  .name-icon {
    display: block;
  }
  .icon-tech {
    font-size: 3.4em;
  }
}

// h1 style
.allh1-headline {
  margin-bottom: 24px;
  font-size: 2.1em;
  color: #473f7a;

  @media screen and (min-width: 960px) {
    text-align: center;
    font-size: 2.5em;
  }
}

.allh2-headline {
  margin-bottom: 20px;
  font-size: 1.5em;
  color: #3a3644;

  @media screen and (min-width: 960px) {
    font-size: 1.8em;
  }
}

// h1, h2, p box
.global-box-view {
  h2 {
    margin-bottom: 24px;
    font-size: 1.7em;
    color: #3a3840;
    line-height: 1.7em;
  }
  p {
    line-height: 1.8em;
    margin: 24px 0 32px 0;
    font-size: 1.1em;
    color: #4e4e50;
    @media screen and (max-width: 960px) {
      text-align: center;
      font-size: 0.9em;
    }
  }
}

.box-shade {
  background-color: #fff;
  box-shadow: 0px 10px 20px 0px rgba(219, 228, 255, 0.6);
}

// animation
.slideup-everywher {
  .before-enter {
    opacity: 0.4;
    transform: translateY(100px);
    transition: all 1.5s ease-out;
  }
  .enter {
    opacity: 1;
    transform: translateY(0px);
  }
}

// footer
.footer-bg {
  background-color: #1e88e5;
  @media screen and (min-width: 960px) {
    background-color: #ffffff;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: scroll;
    background-position: center center;
    background-image: url('../../assets/images/footer-bg3.svg');
  }
}
.footer-styles {
  .footer-menuitem {
    ul {
      list-style-type: none;
      padding: 0;
      li {
        padding-bottom: 8px;
        &:hover {
          a {
            color: #aed7fb;
          }
        }
      }
    }
    a {
      text-align: initial;
      color: #ffffff;
    }
  }
  .ready-to-work {
    color: #f0e8e8;
    padding-bottom: 60px;
    h6 {
      font-size: 1.1em;
    }
    h3 {
      font-size: 1.9em;
    }
  }
  .footer-panel {
    border-top: 1px solid rgba(247, 243, 243, 0.281);
  }
}

// list has two colomn
.make-towline {
  .v-list {
    @media screen and (min-width: 1200px) {
      column-count: 2 !important;
    }
  }
}

.v-list-item__subtitle {
  -webkit-line-clamp: unset !important;
}

// slider btn mobile
.swiper-button-prev,
.swiper-button-next {
  @media screen and (max-width: 700px) {
    display: none !important;
  }
}
